Register Tool
curl --request POST \
--url https://api.trajectory.ai/api/v1/benchmarks/tools/{tool_id}/register \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "<string>",
"description": "",
"parameters": {},
"entrypoint": "run.py",
"timeout_seconds": 1
}
'import requests
url = "https://api.trajectory.ai/api/v1/benchmarks/tools/{tool_id}/register"
payload = {
"name": "<string>",
"description": "",
"parameters": {},
"entrypoint": "run.py",
"timeout_seconds": 1
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '',
parameters: {},
entrypoint: 'run.py',
timeout_seconds: 1
})
};
fetch('https://api.trajectory.ai/api/v1/benchmarks/tools/{tool_id}/register', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tool_id": "<string>",
"organization_id": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"parameters": {},
"artifact_uri": "<string>",
"entrypoint": "<string>",
"timeout_seconds": 123,
"content_hash": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"context": {},
"param": "<string>"
}
}benchmarks
Register Tool
Finalize an uploaded tool into an org registry row (deduped by content hash).
POST
/
api
/
v1
/
benchmarks
/
tools
/
{tool_id}
/
register
Register Tool
Authorizations
Organization API key
Path Parameters
Body
application/json
⌘I